From Freeside
Revision as of 21:29, 13 July 2015 by Mark (talk | contribs) (RT upgrade procedure)

Jump to: navigation, search


Start of 3.x to 4.x upgrade instructions.

Note that unlike most major version upgrades, a minimum version of 3.3 is needed before upgrading to 4.x. If running an earlier version, upgrade to 3.3 or later before upgrading to 4.x.

Upgrade instructions



aptitude update; aptitude install libhtml-formattext-withlinks-perl libemail-address-list-perl libsymbol-global-name-perl libdate-extract-perl libcgi-emulate-psgi-perl libplack-perl librole-basic-perl libhtml-formattext-withlinks-andtables-perl libcrypt-x509-perl libdata-guid-perl libencode-perl

Other distributions

Install the appropriate Perl modules as indicated above.

Initial cleanup

  • rm -r /opt/rt3/lib #is this necessary? i think it was RT 3.8->4.0-only (freeside 2.3->3.0), because of how it moved its libs around


  • cd freeside-4.0
  • make clean; make configure-rt; make install-perl-modules
  • As the freeside UNIX user, run freeside-upgrade username, passing the username of an internal Freeside user.
  • If freeside-upgrade hangs, try stopping Apache, all Freeside processes, and anything else connected to your database, especially on older PostgreSQL versions.
  • make install-docs


  • make install-rt
  • cd freeside-4.0/rt
  • As the freeside UNIX user, run /opt/rt3/sbin/rt-setup-database --dba freeside --prompt-for-dba-password --action upgrade
    • You will be prompted for the RT version to upgrade from. Enter 4.0.22.

Post-upgrade configuration

Doing real-time electronic check transactions? After the upgrade, double check your billing events to make sure the upgrade didn't add a duplicate "Run card or check with a Business::OnlinePayment realtime gateway"